import { request } from '/@/utils/service';


const apiPrefix = '/api/google_trends/';

export function getKeyword(query: any) {
  return request({
    url: apiPrefix + 'wordmanage/',
    method: 'GET',
    params: query,
  })
}

export function postCreateKeyword(query: any) {
  return request({
    url: apiPrefix + 'wordmanage/',
    method: 'PUT',
    params: query,
  });
}

export function deleteKeyword(query: any) {
  return request({
    url: apiPrefix + 'wordmanage/',
    method: 'DELETE',
    params: query,
  })
}

export function UpdateKeyword(query: any) {
  return request({
    url: apiPrefix + 'wordmanage/',
    method: 'POST',
    params: query,
  });
}

export function getTrends(query: any) {
  return request({
    url: apiPrefix + 'chart/',
    method: 'GET',
    params: query,
  })
}


